# RPM specfile for gnapster module
# Generated Fri Jul 13 15:22:47 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.20 2001/07/03 12:01:37 peter Exp $

%define nam	gnapster
%define ver	1.4.2

Name:     	gnapster
Version: 	1.4.2
Release:	ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://jasta.gotlinux.org/gnapster.html
Source0:	gnapster-1.4.2.tar.gz
Patch0:		gnapster-install-dot-desktop.patch
Patch1:		gnapster-disable-memory-debug.patch
Patch2:		gnapster-make-help-non-useless.patch
Summary:	GTK client for the Napster online mp3 community (GNOME version)
Group:		Applications/System
Requires:	gnome-libs >= 1.2.0

%description
Gnapster is a powerful client for the Napster online mp3 community. Currently,
Gnapster supports all major features of the protocol in
cluding many opennap
extensions to the protocol.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/gnapster
/usr/share/gnapster/
/usr/share/gnome/apps/Internet/gnapster.desktop
/usr/share/locale/*
/usr/share/pixmaps/gnapster.png


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnapster-1.4.2
    ;;
all)
%setup  -q -n gnapster-1.4.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    automake; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
